# 3D scanning and printing

### Global Class

- [3D scanning and printing Class](http://academy.cba.mit.edu/classes/scanning_printing/index.html)

!!! Note "Assignments and assessment"

    **Fabacademy students**: visit the [assessment](https://fabacademy.org/2022/nueval/3d_scanning_and_printing.html)

    _You are only required to produce an non substractively made object but we encourage to also try all the printing techniques developed in the house and 3d scanning techniques:_

    - Print by slicing with the standart 3d printers
    - Robotic plastic extrusion system
    - Paste extrusion (clay recommended) on the delta 3d printer
    - Use the big experimental machine on the electronic labs


### Local Class

#### Presentation 3D Printing Inspirational

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vSRlQZMqsLeWwwVCl6AAupz-ST8RG8Bd8ZcDZJauoMmNrY4KXM1sa7a_0_ySlH3M_I2AccraMCMENq2/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="569" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

#### Presentation 3D Scanning Detailed

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vQCF-3dQMp9fKNfAnbviKczt6a11IhcAZFwFGeMl_UnDMsS638eDoNBLWkadL0cNhw3cNBxnyfCin37/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="420" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>

#### 3D Printing overview

<iframe src="https://docs.google.com/presentation/d/e/2PACX-1vRZdm2USdKBOddVOxVnBDj3zDpFyHMN0GLhFJsvr7JT4kT5PqDLInrno9ci_hLSwSzr4_Aq2OmBjB7w/embed?start=false&loop=false&delayms=3000" frameborder="0" width="960" height="420" allowfullscreen="true" mozallowfullscreen="true" webkitallowfullscreen="true"></iframe>


![](/learning/educational-docs/material/extras/week05/assets/3D_print_global_table.png)
3dprinter comparison table generated by Adrien Laveau


#### 3D Printing Equipment Usage Videos

<iframe width="960" height="420" src="https://www.youtube.com/embed/2htZ1Habb38" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

*Bio material 3d printer*

<iframe width="960" height="420" src="https://www.youtube.com/embed/jNF1NYnVeio" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

#### Grasshopper GCodes Generators
![](/learning/educational-docs/material/extras/week05/assets/3dgrass.jpg)

- [Grasshopper code generator for ENDER 3 - Screw+pressure paste printer](/learning/educational-docs/material/extras/week05/assets/6.2-VaseSlicer.gh)

- [Grasshopper code generator for Kossel - Only pressure paste printer](/learning/educational-docs/material/extras/week05/assets/6.2-VaseSlicerKossel.gh)

- [ADVANCED 3D PRINTING WITH GRASSHOPPER GUIDE](https://www.making.unsw.edu.au/learn/advanced-3d-printing-with-grasshopper/)

#### 3D Scanning overview

Technique selection flowchart
![](/learning/educational-docs/material/extras/week05/assets/3dscan.png)

- [AERIAL PHOTOGRAMMETRY](https://eduardochamorro.github.io/PhotogrammetryWorkshop/index.html#/)
- [Open source Photogrammetry](http://opensourcephotogrammetry.blogspot.com/)
- [Structured Light 3D Scanning](https://www.instructables.com/Structured-Light-3D-Scanning/)
- [3D Scanner Based on Structured Light and Stereo Vision in Python Language](https://www.instructables.com/DIY-3D-scanner-based-on-structured-light-and-stere/)
- [MakerScanner](http://www.makerscanner.com/)

## References

### Scanning resources

- [Scanning with Model MDX-20](https://drive.google.com/file/d/1NZgWwYVqXFpgB5N3QGP4T9u9P-TjmKQw/view?usp=sharing) : a step by step guide
- [A list of interesting links](https://docs.google.com/document/d/11ZAz5iVrx0Fd1vrUw6AFBWQiLnUQrhC-rkWIfpZ8IgQ/edit?usp=sharing)
- Scanning Softwares:
    - [Skanect](http://skanect.occipital.com/)
    - [ReconstructMe](http://reconstructme.net/)
    - [Meshroom](https://alicevision.org/)
    - [Agisoft photoscan](https://www.agisoft.com/)

### 3D Printing resources

- Group assignment test files:
    + [Test1](http://www.thingiverse.com/thing:1363023)
    + [Test2](http://www.thingiverse.com/thing:636363)
- [A list of interesting links and videos](https://docs.google.com/document/d/15BHV1B9hmCRTgyB5Kp-fognhDLSsoO2vc9sJRsG70ng/edit?usp=sharing)


#### 3D Printable Things

- [Thingiverse](https://www.thingiverse.com)
- [YouMagine](https://www.youmagine.com/)
- [GrabCAD](https://grabcad.com/)
- [Cults](https://cults3d.com/en)
- [PinShape](https://pinshape.com/)

#### G-Code generators for 3D Printers

- [Slic3r](http://manual.slic3r.org/expert-mode/infill)
- [Cura](https://ultimaker.com/en/resources/20406-installation-cura-2-1)

### 3D modelling

- Visual Programming [Beetle Blocks](http://beetleblocks.com/)
